libcomps ..

Loading...
Searching...
No Matches
Functions
comps_objdict.h File Reference

Libcomps dictionary and multi-dictionary. COMPS_ObjDict and COMPS_ObjMDict are both derivates of COMPS_Object read more here . More...

`#include "comps_objradix.h"`
`#include "comps_objmradix.h"`

Go to the source code of this file.

## Functions
void | comps_objdict_set (COMPS_ObjDict *rt, char *key, COMPS_Object *data)
void | comps_objdict_set_x (COMPS_ObjDict *rt, char *key, COMPS_Object *data)
void | comps_objdict_set_n (COMPS_ObjDict *rt, char *key, unsigned int len, COMPS_Object *data)
void | comps_objmdict_set (COMPS_ObjMDict *rt, char *key, COMPS_Object *data)
void | comps_objmdict_set_x (COMPS_ObjMDict *rt, char *key, COMPS_Object *data)
void | comps_objmdict_set_n (COMPS_ObjMDict *rt, char *key, unsigned int len, COMPS_Object *data)
COMPS_Object * | comps_objdict_get (COMPS_ObjDict *rt, const char *key)
COMPS_Object * | comps_objdict_get_x (COMPS_ObjRTree *rt, const char *key)
COMPS_ObjList * | comps_objmdict_get (COMPS_ObjMDict *rt, const char *key)
void | comps_objdict_unset (COMPS_ObjDict *rt, const char *key)
void | comps_objmdict_unset (COMPS_ObjMDict *rt, const char *key)
void | comps_objdict_clear (COMPS_ObjDict *rt)
void | comps_objmdict_clear (COMPS_ObjMDict *rt)
COMPS_HSList * | comps_objdict_values (COMPS_ObjDict *rt)
COMPS_HSList * | comps_objmdict_values (COMPS_ObjMDict *rt)
void | comps_objdict_values_walk (COMPS_ObjRTree *rt, void *udata, void(*walk_f)(void *, COMPS_Object *))
void | comps_objmdict_values_walk (COMPS_ObjMDict *rt, void *udata, void(*walk_f)(void *, void *))
COMPS_ObjDict * | comps_objdict_clone (COMPS_ObjDict *rt)
COMPS_ObjMDict * | comps_objmdict_clone (COMPS_ObjMDict *rt)
COMPS_HSList * | comps_objmdict_keys (COMPS_ObjMDict *rt)
COMPS_HSList * | comps_objdict_keys (COMPS_ObjDict *rt)
COMPS_HSList * | comps_objdict_pairs (COMPS_ObjDict *rt)
COMPS_HSList * | comps_objmdict_pairs (COMPS_ObjMDict *rt)
COMPS_ObjDict * | comps_objdict_union (COMPS_ObjDict *d1, COMPS_ObjDict *d2)

## Detailed Description

Libcomps dictionary and multi-dictionary. COMPS_ObjDict and COMPS_ObjMDict are both derivates of COMPS_Object read more here .

See also
  comps dictionary functions
  comps multi-dictionary functions